//-----------------------------------------------------------------------------
// Title      : bsp_ub017_mk3_beep
//-----------------------------------------------------------------------------
// Funktion   : Sound Test
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 15.08.2010
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <UB_MK3_2560/MK3_2560_BEEP.h>
#include <UB_MK3_2560/MK3_2560_KEY.h>

//-----------------------------------------------------------------------------
// Hinweis :
// - Quick-Jumper Port-K muss gesetzt sein
// - Eine Leitung von Speaker nach Port-E3 muss eingebaut sein
// - spielt bei Button1 eine Tonleiter
// - spielt bei Button2 Fuer-Elise
// - spielt bei Button3 einen 1kHz Ton (0,5sec)
//-----------------------------------------------------------------------------
int main (void)
{

    MK3_INIT_KEY();
	MK3_INIT_BEEP();

	while (true)
	{
	  if(MK3_KEY_SET(BUTTON1)==true) {
	    MK3_PLAY_SONG(SONG_TONLEITER);
	  }
	  if(MK3_KEY_SET(BUTTON2)==true) {
	    MK3_PLAY_SONG(SONG_FUER_ELISE);
	  }
	  if(MK3_KEY_SET(BUTTON3)==true) {
	    MK3_PLAY_SOUND(1000,500);
	  }
	}
	return 0;
}
//-----------------------------------------------------------------------------
